@import 'common.css';

/* HEADER START */

.MainHeader {
    position: relative;
    background: rgba(var(--white-color), 1);
    top: 0;
    z-index: 999;
    width: 100%;
}

.navbar {
    top: 0;
    z-index: 999;
    width: 100%;
    padding: 20px 0px;
}

.navbar.header-fixed {
    position: fixed;
    background: rgba(var(--white-color), 1);
    animation: slideDown 0.35s ease-out;
    backdrop-filter: blur(5px);
    box-shadow: 0px 5px 20px -8px rgba(14, 13, 14, 0.08);
    border-bottom-color: rgba(var(--main-color), 0);
}

@keyframes slideDown {
    from {
        transform: translateY(-100%);
    }

    to {
        transform: translateY(0);
    }
}

.DesktopNav .row {
    align-items: center;
}

.navbar.DesktopNav .HeadContainer {
    display: flex;
    gap: 8px;
    align-items: center;
    /* justify-content: center; */
}

.NBM-box {
    display: flex;
    gap: 50px;
    width: 100%;
    justify-content: center;
}

.DesktopNav .navbar-brand,
.MobileNav .navbar-brand {
    /* width: 226px; */
    width: 120px;
    /* height: 112px; */
    margin-right: 15px;
}

.navbar-brand img {
    object-fit: contain;
}

.head-BrandMenu {
    display: flex;
    gap: 16px;
}

.navbar-toggler {
    padding: 6px;
    border: none;
    background: rgba(var(--main-color), 1);
    border-radius: 0px;
}

.navbar-toggler .navbar-toggler-icon {
    background: rgba(var(--white-color), 1);
    width: 1.1em;
    height: 2px;
    position: relative;
    display: block;
}

.navbar-toggler-icon.bar-1 {
    width: 0.6em;
}

.navbar-toggler-icon.bar-2 {
    width: 0.9em;
}

.navbar-toggler-icon.bar-2 {
    margin: 4px 0px;
}

.navbar.DesktopNav .HeadContainer .navbar-nav .nav-item:not(:last-child) {
    margin-right: 20px;
}

.navbar.DesktopNav .HeadContainer .navbar-nav .nav-item .nav-link {
    color: rgba(var(--black-color), 1);
    transition: var(--transition-05s);
    position: relative;
    text-transform: capitalize;
    white-space: nowrap;
    font-weight: 500;
    padding: 4px 12px;
    font-size: 15px;
}

.navbar.DesktopNav .HeadContainer .navbar-nav .nav-item .nav-link.active,
.navbar.DesktopNav .HeadContainer .navbar-nav .nav-item .nav-link:hover,
.navbar.DesktopNav .HeadContainer .navbar-nav .nav-item .nav-link:focus,
.navbar.DesktopNav .HeadContainer .navbar-nav .nav-item .nav-link[aria-current="page"] {
    color: rgba(var(--main-color), 1);
}

.navbar.DesktopNav .HeadContainer .navbar-nav .nav-item .nav-link[aria-current="page"] {
    font-weight: bold;
}

.navbar.DesktopNav .HeadContainer .navbar-nav .nav-item .nav-link::before {
    content: '';
    display: inline-block;
    position: absolute;
    width: 0%;
    height: 2px;
    border-radius: 5px;
    background: rgba(var(--main-color), 1);
    transition: var(--transition-05s);
    right: 0px;
    bottom: 0px;
    opacity: 0;
    visibility: hidden;
}

.navbar.DesktopNav .HeadContainer .navbar-nav .nav-item .nav-link.active::before,
.navbar.DesktopNav .HeadContainer .navbar-nav .nav-item .nav-link:hover::before,
.navbar.DesktopNav .HeadContainer .navbar-nav .nav-item .nav-link:focus::before,
.navbar.DesktopNav .HeadContainer .navbar-nav .nav-item .nav-link[aria-current="page"]::before {
    opacity: 1px;
    visibility: visible;
    width: 100%;
    left: 0px;
    right: auto;
}

.navbar .navbar-nav .nav-item .nav-link.dropdown-toggle::after {
    content: '\f107';
    font-family: var(--font-awesome);
    font-weight: 600;
    border: none;
    vertical-align: middle;
}

.navbar .navbar-nav .nav-item .dropdown-menu {
    padding: 0px;
    border: 0;
    border-radius: 0px;
    margin: 0 !important;
    transition: var(--transition-05s);
    /* overflow: hidden; */
    box-shadow: -12px 8px 20px -8px rgba(14, 13, 14, 0.08), 12px 8px 20px -8px rgba(14, 13, 14, 0.08);
}

.navbar .navbar-nav .nav-item .dropdown-menu li a,
.dropdown-menu .dropdown-submenu a {
    font-weight: 600;
    font-size: 14px;
    border-bottom: 1px solid rgba(var(--black-color), 0);
    padding: 8px 10px;
    color: rgba(var(--black-color), 0.8);
    transition: var(--transition-05s);
    background: none;
    display: flex;
    align-items: center;
    justify-content: start;
    gap: 10px;
}

.navbar .navbar-nav .nav-item .dropdown-menu li a .icondrop svg path {
    fill: rgb(144, 155, 169) !important;
}

.navbar .navbar-nav .nav-item .dropdown-menu li a:hover,
.navbar .navbar-nav .nav-item .dropdown-menu li a:active,
.navbar .navbar-nav .nav-item .dropdown-menu li a:focus,
.navbar .navbar-nav .nav-item .dropdown-menu li a.active,
.dropdown-menu li .dropdown-submenu a:hover,
.dropdown-menu li .dropdown-submenu a:active,
.dropdown-menu li .dropdown-submenu a:focus,
.dropdown-menu li .dropdown-submenu a.active {
    color: rgba(var(--black-color), 1);
    background-color: rgba(226, 245, 255, 1);
    border-color: rgba(var(--main-color), 0);
}

.navbar .navbar-nav .nav-item .dropdown-menu li a:hover .icondrop svg path,
.navbar .navbar-nav .nav-item .dropdown-menu li a:active .icondrop svg path,
.navbar .navbar-nav .nav-item .dropdown-menu li a:focus .icondrop svg path,
.navbar .navbar-nav .nav-item .dropdown-menu li a.active .icondrop svg path {
    fill: rgb(0, 130, 202) !important;
    transition: var(--transition-05s);
}


.navbar .navbar-nav .nav-item .dropdown-menu ul>li:last-child a {
    border-bottom: none;
}

.Head-CaLog {
    display: flex;
    align-items: center;
    gap: 12px;
    /* margin-left: 40px; */
}

.HeadCaLog-btn,
.HeadCaLog-btn:focus,
.HeadCaLog-btn:visited {
    white-space: nowrap;
    border: none;
    background: none;
    box-shadow: none;
    padding: 0px;
    color: rgba(var(--black-color), 1);
    font-weight: 500;
    font-size: 20px;
    transition: var(--transition-05s);
}

.HeadCaLog-btn:hover {
    color: rgba(var(--main-color), 1);
}

.HeadCaLog-btn span:first-child,
.HeadCaLog-btn:visited span:first-child,
.HeadCaLog-btn:focus span:first-child {
    --ehw-hclbs: 30px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    font-size: 15px;
    width: var(--ehw-hclbs);
    height: var(--ehw-hclbs);
    border-radius: 50%;
    background: rgba(var(--main-color), 1);
    color: rgba(var(--white-color), 1);
    margin-right: 10px;
}

.headerbtn {
    width: max-content;
}

/* HEADER END */


@media (max-width: 1366px) {
    .navbar.DesktopNav .HeadContainer .navbar-nav .nav-item:not(:last-child) {
        margin-right: 10px;
    }
}

@media (max-width: 1199px) {
    .navbar.DesktopNav .HeadContainer .navbar-nav .nav-item:not(:last-child) {
        margin-right: 5px;
    }

    .navbar.DesktopNav .HeadContainer .navbar-nav .nav-item .nav-link {
        font-size: 14px;
        padding-right: 6px;
    }

    .navbar .navbar-nav .nav-item .dropdown-menu li a,
    .dropdown-menu .dropdown-submenu a {
        font-size: 13px;
    }

    .DesktopNav .navbar-brand,
    .MobileNav .navbar-brand {
        width: 110px;
    }
}

@media (max-width: 991px) {

    .navbar.DesktopNav .HeadContainer .navbar-nav .nav-item .nav-link {
        color: rgba(var(--black-color), 1);
    }

    .navbar.DesktopNav .HeadContainer .navbar-nav .nav-item .nav-link.active,
    .navbar.DesktopNav .HeadContainer .navbar-nav .nav-item .nav-link:hover,
    .navbar.DesktopNav .HeadContainer .navbar-nav .nav-item .nav-link:focus,
    .navbar.DesktopNav .HeadContainer .navbar-nav .nav-item .nav-link[aria-current="page"] {
        color: rgba(var(--main-color), 1);
    }

    .navbar.DesktopNav .HeadContainer {
        justify-content: flex-end;
    }

    .NBM-box .navbar-nav.ms-auto.navbar-nav-scroll {
        gap: 10px;
    }

    .NBM-box {
        display: flex;
        gap: 50px;
        position: absolute;
        top: 100%;
        width: 100%;
        left: 0px;
        /* padding: 20px 30px; */
    }

    .NBM-box>* {
        background: rgba(var(--white-color), 1);
        padding: 20px 30px;
    }

    .navbar.DesktopNav .HeadContainer .navbar-nav .nav-item .nav-link {
        margin: 0;
        width: max-content;
    }

    .NBM-box li.nav-item.dropdown {
        position: static;
        width: max-content;
    }

    .NBM-box ul:last-child {
        margin-top: 10px;
    }
}

@media (max-width: 576px) {
.navbar {
    padding: 8px 0px;
}
.DesktopNav .navbar-brand, .MobileNav .navbar-brand {
    width: 85px;
}

}


@media (max-width: 350px) {

    .DesktopNav .navbar-brand,
    .MobileNav .navbar-brand {
        width: auto !important;
    }
}